//
//  PTRGeoPoint.h
//
//  Created by Pointr on 23/06/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <PointrKit/PTRGeometry.h>

#import <CoreLocation/CoreLocation.h>

NS_ASSUME_NONNULL_BEGIN

/// Model class for a geometry point.
@interface PTRGeoPoint : PTRGeometry

/// The coordinate of the point.
@property (assign, nonatomic, readonly) CLLocationCoordinate2D coordinate;

- (instancetype)init NS_UNAVAILABLE;

- (instancetype)initWithCoordinate:(CLLocationCoordinate2D)coordinate;

@end

NS_ASSUME_NONNULL_END
