#ifdef __OBJC__
#import <UIKit/UIKit.h>
#else
#ifndef FOUNDATION_EXPORT
#if defined(__cplusplus)
#define FOUNDATION_EXPORT extern <PointrKit/C>
#else
#define FOUNDATION_EXPORT extern
#endif
#endif
#endif

#import <PointrKit/PTRMutableSdkConfiguration.h>
#import <PointrKit/PTRAugmentingRealityConfiguration.h>
#import <PointrKit/PTRMutableConfiguration.h>
#import <PointrKit/PTRUserInterfaceConfiguration.h>
#import <PointrKit/PTRConfigurationManagerInterface.h>
#import <PointrKit/PTRLocationSharingConfiguration.h>
#import <PointrKit/PTRDataManagerConfiguration.h>
#import <PointrKit/PTRMutableProductConfiguration.h>
#import <PointrKit/PTRMutableLocationSharingConfiguration.h>
#import <PointrKit/PTRConfiguration.h>
#import <PointrKit/PTRMutableAnalyticsConfiguration.h>
#import <PointrKit/PTRProductConfiguration.h>
#import <PointrKit/PTRMutablePositionManagerConfiguration.h>
#import <PointrKit/PTRPoiManagerConfiguration.h>
#import <PointrKit/PTRMutableUserInterfaceConfiguration.h>
#import <PointrKit/PTRMutablePathManagerConfiguration.h>
#import <PointrKit/PTRPositionManagerConfiguration.h>
#import <PointrKit/PTRAppStateManagerConfiguration.h>
#import <PointrKit/PTRPathManagerConfiguration.h>
#import <PointrKit/PTRMutableAppStateManagerConfiguration.h>
#import <PointrKit/PTRMutablePoiManagerConfiguration.h>
#import <PointrKit/PTRMutableDataManagerConfiguration.h>
#import <PointrKit/PTRGeofenceManagerConfiguration.h>
#import <PointrKit/PTRSdkConfiguration.h>
#import <PointrKit/PTRMutableAugmentingRealityConfiguration.h>
#import <PointrKit/PTRMutableGeofenceManagerConfiguration.h>
#import <PointrKit/PTRAnalyticsConfiguration.h>
#import <PointrKit/PTRPathDirection.h>
#import <PointrKit/PTRPortalNode.h>
#import <PointrKit/PTRInterBuildingPortalNode.h>
#import <PointrKit/PTRGraphNode.h>
#import <PointrKit/PTRARPath.h>
#import <PointrKit/PTRPath.h>
#import <PointrKit/PTRPathNode.h>
#import <PointrKit/PTRPathSession.h>
#import <PointrKit/PTRARPathNode.h>
#import <PointrKit/PTRFusionUtil.h>
#import <PointrKit/PTRLocation.h>
#import <PointrKit/PTRDisplayBeacon.h>
#import <PointrKit/PTRARCameraTransform.h>
#import <PointrKit/PTRMappedBeacon.h>
#import <PointrKit/PTRLocationAware.h>
#import <PointrKit/PTRBoundingBox.h>
#import <PointrKit/PTRCalculatedLocation.h>
#import <PointrKit/PTRARLocation.h>
#import <PointrKit/PTRPositioningTypes.h>
#import <PointrKit/PTRUserManagerInterface.h>
#import <PointrKit/PTRPoiManagerInterface.h>
#import <PointrKit/PTRSiteManagerInterface.h>
#import <PointrKit/PTRObstacleManagerInterface.h>
#import <PointrKit/PTRPathManagerInterface.h>
#import <PointrKit/PTRDataManagerInterface.h>
#import <PointrKit/PTRAppStateManagerInterface.h>
#import <PointrKit/PTRGraphManagerInterface.h>
#import <PointrKit/PTRGeofenceManagerInterface.h>
#import <PointrKit/PTRPositionManagerInterface.h>
#import <PointrKit/PTRSortedDictionary.h>
#import <PointrKit/NSDate+Pointr.h>
#import <PointrKit/NSString+Pointr.h>
#import <PointrKit/NSURL+Pointr.h>
#import <PointrKit/NSDictionary+Pointr.h>
#import <PointrKit/UIImage+Pointr.h>
#import <PointrKit/PTRApplicationInfoHelper.h>
#import <PointrKit/PTRListenerHelper.h>
#import <PointrKit/PTRAdvertiser.h>
#import <PointrKit/PTRUserSession.h>
#import <PointrKit/PTRPoiContainer.h>
#import <PointrKit/PTRPoi.h>
#import <PointrKit/PTRPoiGroup.h>
#import <PointrKit/PTRGeofenceEvent.h>
#import <PointrKit/PTRGeofence.h>
#import <PointrKit/PTRGeofenceServiceEvent.h>
#import <PointrKit/PTRLibraryHelper.h>
#import <PointrKit/PointrState.h>
#import <PointrKit/PTREnvironment.h>
#import <PointrKit/PTRParams.h>
#import <PointrKit/PointrBase.h>
#import <PointrKit/PointrKit.h>
#import <PointrKit/PTRARControllerInterface.h>
#import <PointrKit/PTRGeometricAlgorithms.h>
#import <PointrKit/PointrDebugMode.h>
#import <PointrKit/PointrReleaseMode.h>
#import <PointrKit/PointrMode.h>
#import <PointrKit/PTRLevel.h>
#import <PointrKit/PTRBuilding.h>
#import <PointrKit/PTRSite.h>
#import <PointrKit/PTRFeature.h>
#import <PointrKit/PTRFeatureTypeCoordinator.h>
#import <PointrKit/PTRFeatureType.h>
#import <PointrKit/PTRFeatureTypeClass.h>
#import <PointrKit/PTRGeometry.h>
#import <PointrKit/PTRGeoPolygon.h>
#import <PointrKit/PTRGeoPoint.h>
#import <PointrKit/PTRGeoCircle.h>
#import <PointrKit/PTRGeoMultiPolygon.h>
#import <PointrKit/PTRObstacle.h>
#import <PointrKit/PTRLogger.h>
#import <PointrKit/PTRDataTypes.h>
#import <PointrKit/PTRAppStateTypes.h>
#import <PointrKit/PointrDebug.h>
#import <PointrKit/PTRDebugPositionSimulator.h>
#import <PointrKit/UIWindow+Pointr.h>
#import <PointrKit/UIColor+Pointr.h>
#import <PointrKit/UIView+Pointr.h>
#import <PointrKit/UIViewController+Pointr.h>
#import <PointrKit/CALayer+IB.h>
#import <PointrKit/UIImageView+Pointr.h>
#import <PointrKit/PTR3DUserAnnotationView.h>

FOUNDATION_EXPORT double PointrKitVersionNumber;
FOUNDATION_EXPORT const unsigned char PointrKitVersionString[];

