//
//  PTRGeoCircle.h
//
//  Created by Pointr on 23/06/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <PointrKit/PTRGeoPoint.h>

#import <CoreLocation/CoreLocation.h>

NS_ASSUME_NONNULL_BEGIN

/// Model class for a geometry point.
@interface PTRGeoCircle : PTRGeoPoint

/// Circle's center.
@property (strong, nonatomic, readonly, nonnull) PTRGeoPoint *center;

/// Circle's radius.
@property (assign, nonatomic, readonly) double radius;

- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
