//
//  PTRARLocation.h
//
//  Created by Pointr on 13/02/2019.
//  Copyright © 2019 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/**
 * Class to represent an Augmented Reality location.
 */
OBJC_EXPORT @interface PTRARLocation : NSObject

/**
 * X coordinate.
 */
@property (nonatomic, readonly) double x;

/**
 * Y coordinate.
 */
@property (nonatomic, readonly) double y;

/**
 * Z coordinate.
 */
@property (nonatomic, readonly) double z;

- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
